# newgrf_airport.cpp File Reference

NewGRF handling of airports. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "date_func.h"`
`#include "newgrf.h"`
`#include "newgrf_spritegroup.h"`
`#include "newgrf_text.h"`
`#include "station_base.h"`
`#include "newgrf_class_func.h"`

Go to the source code of this file.

## Functions
void | BindAirportSpecs ()
| Tie all airportspecs to their class.
uint32 | AirportGetVariable (const ResolverObject *object, byte variable, byte parameter, bool *available)
static const SpriteGroup * | AirportResolveReal (const ResolverObject *object, const RealSpriteGroup *group)
static uint32 | AirportGetRandomBits (const ResolverObject *object)
static uint32 | AirportGetTriggers (const ResolverObject *object)
static void | AirportSetTriggers (const ResolverObject *object, int triggers)
static void | NewAirportResolver (ResolverObject *res, TileIndex tile, Station *st, byte airport_id, byte layout)
SpriteID | GetCustomAirportSprite (const AirportSpec *as, byte layout)
uint16 | GetAirportCallback (CallbackID callback, uint32 param1, uint32 param2, Station *st, TileIndex tile)
StringID | GetAirportTextCallback (const AirportSpec *as, byte layout, uint16 callback)
## Variables
AirportOverrideManager | _airport_mngr (NEW_AIRPORT_OFFSET, NUM_AIRPORTS, AT_INVALID)

## Detailed Description

NewGRF handling of airports.

Definition in file newgrf_airport.cpp.